Bug 244699 - Keyboard shortcut for Gnome logout not working (involves gnome-session)
Keyboard shortcut for Gnome logout not working (involves gnome-session)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 12:44 EDT by Craig Routledge
Modified: 2010-10-27 10:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 10:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 448659 None None None Never

  None (edit)
Description Craig Routledge 2007-06-18 12:44:34 EDT
Description of problem:
According to the folks over at Gnome, a problem with gnome-session and dbus is
preventing logout from the Gnome desktop via keyboard shortcut from working.

Details are at:
http://bugzilla.gnome.org/show_bug.cgi?id=360475

which is referred to by:
http://bugzilla.gnome.org/show_bug.cgi?id=448659

Version-Release number of selected component (if applicable):
control-center-2.18.0-18.fc7
gnome-session-2.18.2-1.fc7
Comment 1 Bug Zapper 2008-05-14 09:09:58 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 lexual 2009-02-25 06:44:12 EST
Those 2 gnome bugs are have both been closed.

Is this still a bug for the reporter?
Comment 3 Craig Routledge 2009-02-25 11:58:13 EST
The keyboard shortcut now does something.  Unfortunately, it calls up the shutdown dialog (System->Shut Down) instead of the logout (System->Log Out) dialog.

I'm not sure what package is responsible for this.  I am using Fedora 10 with the latest updates as of today:

dbus-1.2.4-2.fc10.x86_64
gnome-session-2.24.3-1.fc10.x86_64
Comment 4 lexual 2009-02-25 17:01:18 EST
What is the keyboard shortcut ?
Comment 5 Craig Routledge 2009-02-26 13:02:13 EST
Ctrl-Alt-L, but changing it (via System->Preferences->Personal->Keyboard Shortcuts) yields the same result.
Comment 6 lexual 2009-02-26 17:47:59 EST
Confirming for Fedora 10.
Shortcut for logout, actually tries to shutdown (shows shutdown,restart, suspend, etc).

By default logout shortcut is c-a-delete.
Changing to c-a-l yields same result.
Comment 7 Bug Zapper 2009-11-18 07:19:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Matthias Clasen 2010-02-14 22:01:22 EST
If anything, this is a bit of a mismatch between the description of the key ("Log out"), and the action that gnome-settings-daemon takes (it runs gnome-session-save --shutdown-dialog). 

On the other hand, the name of the key 'power' seems a pretty clear indication that it is meant to be bound to XF86XK_PowerOff
Comment 9 Bastien Nocera 2010-10-27 10:24:26 EDT
Done upstream for GNOME 3.x:

commit ab84878bc5b2492858ea81f1a510b91db51e1ae9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 27 15:21:09 2010 +0100

    media-keys: Make the "log out" key really do that
    
    We already have a power key, as handled by gnome-power-manager, so make
    the key described as "log out" really offer the user to log out, and not
    power down the machine.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=244699

Note You need to log in before you can comment on or make changes to this bug.